libasm1_0.165-3ubuntu1_amd64.deb


Advertisement

Description

libasm1 - library with a programmable assembler interface

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libasm1_0.165-3ubuntu1_amd64.deb
Package name libasm1
Package version 0.165
Package release 3ubuntu1
Package architecture amd64
Package type deb
Category libs
Homepage https://fedorahosted.org/elfutils/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 15.14 KB
Installed size 63.00 KB
The libasm1 package provides a library with a programmable assembler
interface.  It allows you to create ELF files on a low level.
This library is part of elfutils.

Alternatives

Package Version Architecture Repository
libasm1_0.165-3ubuntu1.2_i386.deb 0.165 i386 Ubuntu Updates Main
libasm1_0.165-3ubuntu1.2_amd64.deb 0.165 amd64 Ubuntu Updates Main
libasm1_0.165-3ubuntu1_i386.deb 0.165 i386 Ubuntu Main
libasm1 - - -

Requires

Name Value
libc6 >= 2.14
libdw1 = 0.165-3ubuntu1
libelf1 = 0.165-3ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libasm1_0.165-3ubuntu1_amd64.deb
Source Package elfutils

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libasm1 deb package:
    # sudo apt-get install libasm1

Files

Path
/usr/lib/x86_64-linux-gnu/libasm-0.165.so
/usr/lib/x86_64-linux-gnu/libasm.so.1
/usr/share/doc/libasm1/changelog.Debian.gz
/usr/share/doc/libasm1/copyright

Changelog

2016-02-19 - Matthias Klose <doko@ubuntu.com>
elfutils (0.165-3ubuntu1) xenial; urgency=medium
* Fix finding the debug info for Ubuntu kernels (Mark Wielaard). LP: #1537125.
2016-01-16 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.165-3) unstable; urgency=medium
* Add patches from Mark Wielaard to fix non-Linux issues.
2016-01-13 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.165-2) unstable; urgency=medium
* Make the new libelf.h work with older elf.h from glibc (Closes: #810885)
2016-01-11 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.165-1) unstable; urgency=medium
* New upstream release
* Install libelf.pc and libdw.pc file.
* Update libelf1.symbols and libdw1.symbols with 0.165 version
2015-12-26 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.164-1) unstable; urgency=medium
* New upstream release
- Fixes sparc64 issues (Closes: #805630)
- Drop patches applied upstream: 0001-Reduce-scope-of-some-includes.patch, 
0002-tests-Mark-an-unused-argument-as-such.patch,
0003-tests-dwfl-bug-fd-leak-Guard-against-null-module-add.patch,
0004-tests-skip-run-deleted.sh-when-dwfl_linux_proc_attac.patch,
pr18792.diff
- Remove redhat-portability.diff and scanf-format.patch
- Update backend to use to stop using the old-style function
definition: hppa_backend.diff, m68k_backend.diff, mips_backend.diff
2015-08-14 - Matthias Klose <doko@debian.org>
elfutils (0.163-5.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix finding the detached debug info when no build-id's are used.
Closes: #795386.
2015-08-08 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.163-5) unstable; urgency=medium
* Fix typo in 0003-Add-mips-n64-relocation-format-hack.patch that
causing crash (Closes: #794488)
2015-07-21 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.163-4) unstable; urgency=medium
* More fixes for kfreebsd and hurd
2015-07-21 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.163-3) unstable; urgency=medium
* Fix build failures on kfreebsd and hurd
2015-07-20 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.163-2) unstable; urgency=medium
* Drop non_linux.patch, it has been applied upstream

See Also

Package Description
libasn1-8-heimdal_1.7~git20150920+dfsg-4ubuntu1_amd64.deb Heimdal Kerberos - ASN.1 library
libasound2-data_1.1.0-0ubuntu1_all.deb Configuration files and profiles for ALSA drivers
libasound2-dev_1.1.0-0ubuntu1_amd64.deb shared library for ALSA applications -- development files
libasound2-doc_1.1.0-0ubuntu1_all.deb documentation for user-space ALSA application programming
libasound2-plugins_1.1.0-0ubuntu1_amd64.deb ALSA library additional plugins
libasound2_1.1.0-0ubuntu1_amd64.deb shared library for ALSA applications
libaspell-dev_0.60.7~20110707-3build1_amd64.deb Development files for applications with GNU Aspell support
libaspell15_0.60.7~20110707-3build1_amd64.deb GNU Aspell spell-checker runtime library
libasprintf-dev_0.19.7-2ubuntu3_amd64.deb GNU Internationalization library development files
libasprintf0v5_0.19.7-2ubuntu3_amd64.deb GNU library to use fprintf and friends in C++
libassuan-dev_2.4.2-2_amd64.deb IPC library for the GnuPG components -- header files
libassuan0_2.4.2-2_amd64.deb IPC library for the GnuPG components
libasyncns-dev_0.8-5build1_amd64.deb Asynchronous name service query library development files
libasyncns0_0.8-5build1_amd64.deb Asynchronous name service query library
libatasmart-dev_0.19-3_amd64.deb ATA S.M.A.R.T. reading and parsing library - development files
Advertisement
Advertisement